%{!?python_sitelib: %define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}

Name:           python-yadis
Version:        1.1.0
Release:        3%{?dist}
Summary:        Relying party support for the Yadis service discovery protocol

Group:          Development/Languages
License:        LGPL
URL:            http://www.openidenabled.com/yadis/libraries/python
Source0:        http://www.openidenabled.com/resources/downloads/python-openid/python-yadis-%{version}.tar.gz
Patch0:         python-yadis-1.0.1-silencepyflakes.patch
Patch1:         python-yadis-1.1.0-silencepyflakes+elementtree.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildArch:      noarch
BuildRequires:  python-devel
BuildRequires:  epydoc
BuildRequires:  PyXML
BuildRequires:  python-urljr
BuildRequires:  pyflakes
%if %{fedora} < 7
BuildRequires:  python-elementtree
Requires:       python-elementtree
%endif
Requires:       PyXML
Requires:       python-urljr

%description
This code implements relying party support for the Yadis[1] service
discovery protocol.  The protocol was developed for use by
decentralized URL-based identity systems, but is useful for
advertising services provided by or on behalf of a certain URL.

To learn more about Yadis, see http://www.openidenabled.com/yadis

The JanRain Python OpenID library[2] uses this library for discovery
of OpenID service endpoints.  See that library for an example of
library usage.

1. http://yadis.org/
2. http://www.openidenabled.com/openid/libraries/python/

%prep
%setup0 -q
%if %{fedora} < 7
%patch0 -p0
%else
%patch1 -p0
%endif

# remove examples/apache/.htaccess - the same content is available in
# examples/apache/htaccess.txt
rm examples/apache/.htaccess

%build
%{__python} setup.py build

%check
sh admin/runtests

%install
rm -rf %{buildroot}
%{__python} setup.py install -O1 --skip-build --root %{buildroot}
 
%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc doc examples README
%{python_sitelib}/*

%changelog
* Sun Jan 14 2007 Jeffrey C. Ollie <jeff@ocjtech.us> - 1.1.0-3
- Really fix elementtree usage in python 2.5.

* Sat Jan 13 2007 Jeffrey C. Ollie <jeff@ocjtech.us> - 1.1.0-2
- python-elementtree is built in to python 2.5 in fc7+

* Sat Jan 13 2007 Jeffrey C. Ollie <jeff@ocjtech.us> - 1.1.0-1
- Update to 1.1.0

* Tue Dec  5 2006 Jeffrey C. Ollie <jeff@ocjtech.us> - 1.0.1-1
- First version for Fedora Extras
